import FeatureFlagFetchingService from '../store/modules/featureFlags'

class FeatureFlagService {
    constructor() {
        this.featureFlags = null;
    }

    fetchFeatureFlags() {
        FeatureFlagFetchingService.actions.getFeatureFlags()
            .then((response) => this.featureFlags =[...response])
            .catch((error) => console.error('Something went wrong fetching the feature flag data', error));
    }

    checkFeatureFlag(featureKey) {
        return this.featureFlags.find(x => x.name === featureKey) ? this.featureFlags.find(x => x.name === featureKey).state : false;
    }

    setFeatureFlag(featureKey) {
        // TODO : save feature flag updates to DB
    }
}


export default new FeatureFlagService();
