import OcuService from '../OcuService'

class SortingService {

    constructor() {
        this.api = window.env.API;
    }

    updateUserSorting({userId, data}) {
        return OcuService.doApiCall('put', `${this.api}/users/${userId}/sort`, 'update sort', data);
    }

    updateSelectionSorting({selectionId, data}) {
        return OcuService.doApiCall('put', `${this.api}/selections/${selectionId}/sort`, 'update sort', data);
    }
}

export default new SortingService();
