import OcuService from '../OcuService'

class UnavailabilityService {
    createUnavailability(timeslotData) {
        return OcuService.doApiCall('post', `${window.env.API}/unavailabilities`, 'create unavailability', timeslotData);
    }

    deleteUnavailability(timeslotId) {
        return OcuService.doApiCall('delete', `${window.env.API}/unavailabilities/${timeslotId}`, 'delete unavailability');
    }
}

export default new UnavailabilityService();
