import OcuService from '../OcuService';

class ResourceLineService {
    /*Resourece lines*/
    getResourceLines() {
        return OcuService.doApiCall('get', window.env.API + '/resourcelines')
    }

    getResourceLine(resourceLineID) {
        return OcuService.doApiCall('get', window.env.API + '/resourcelines/' + resourceLineID)
    }

    getResourceLineMapping(resourceLineID) {
        return OcuService.doApiCall('get', window.env.API + '/resourcelines/' + resourceLineID + '/mapping');
    }

    updateResourceLine(resourceLineID, resourceLineName) {
        return OcuService.doApiCall('post', window.env.API + '/resourcelines/' + resourceLineID, 'Update resource line', resourceLineName);
    }

}


export default new ResourceLineService()
