import OcuService from '../OcuService'
class ThemeService{
    /*Themes*/
    getThemes() {
        return OcuService.doApiCall('get', window.env.API + '/themes');
    }

    getTheme(themeId) {
        return OcuService.doApiCall('get', window.env.API + '/themes/' + themeId);
    }

    updateTheme(themeId,themeData){
        return OcuService.doApiCall('post',window.env.API + '/themes/'+themeId, 'updateTheme', themeData);
    }
    createTheme(themeData){
        return OcuService.doApiCall('put', window.env.API + '/themes', 'create theme', themeData);
    }

    deleteTheme(themeId){
        return OcuService.doApiCall('delete',window.env.API + '/themes/'+themeId, 'deleteTheme');
    }

    duplicateTheme(themeId){
        return OcuService.doApiCall('put',window.env.API + "/themes/"+themeId+"/duplicate", 'duplicate theme');
    }
}

export default new ThemeService()
