import CoverImageService from '../../services/OcuService/cebeo/coverImagesService';

const state = {
    ambiances: [],
};

const mutations = {};

const getters = {};

const actions = {
    getCoverImages: ({commit}) => {
        return new Promise((resolve, reject) => {
            CoverImageService.getCoverImages()
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    uploadCoverImage: ({commit}, data) => {
        return new Promise((resolve, reject) => {
            CoverImageService.uploadCoverImage(data)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    updateCoverImage: ({commit}, data) => {
        return new Promise((resolve, reject) => {
            CoverImageService.updateCoverImage(data)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    deleteCoverImage: ({commit}, data) => {
        return new Promise((resolve, reject) => {
            CoverImageService.deleteCoverImage(data)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    }
};


export default {
    state,
    actions,
    mutations,
    getters
}
