import RegionsService from "../../services/OcuService/cebeo/regionsService";

const state = {};

const mutations = {};

const getters = {};

const actions = {
    getRegions: ({}) => {
        return new Promise((resolve, reject) => {
            RegionsService.getRegions()
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    updateRegion: ({}, data) => {
        return new Promise((resolve, reject) => {
            RegionsService.updateRegion(data)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    createRegion: ({}, data) => {
        return new Promise((resolve, reject) => {
            RegionsService.createRegion(data)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    deleteRegion: ({}, data) => {
        return new Promise((resolve, reject) => {
            RegionsService.deleteRegion(data)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    deleteStore: ({}, data) => {
        return new Promise((resolve, reject) => {
            RegionsService.deleteStore(data)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    getStores: () => {
        return new Promise((resolve, reject) => {
            RegionsService.getStores()
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    getTimeslotBusinessHours: ({commit}, data) => {
        return new Promise((resolve, reject) => {
            RegionsService.getTimeslotBusinessHours(data)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },
};


export default {
    state,
    actions,
    mutations,
    getters
}
