import SortingService from "../../services/OcuService/cebeo/sortingService";

const state = {};
const mutations = {};
const getters = {};

const actions = {
    updateUserSorting: ({}, data) => {
        return new Promise((resolve, reject) => {
            SortingService.updateUserSorting(data)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    updateSelectionSorting: ({}, data) => {
        return new Promise((resolve, reject) => {
            SortingService.updateSelectionSorting(data)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    }
};


export default {
    state,
    actions,
    mutations,
    getters
}
