import UnavailabilitiesService from "../../services/OcuService/cebeo/unavailabilityService";

const state = {
    timeslots: [],
};

const mutations = {};

const getters = {};

const actions = {
    createUnavailability: ({commit}, unavailabilityData) => {
        return new Promise((resolve, reject) => {
            UnavailabilitiesService.createUnavailability(unavailabilityData)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    deleteUnavailability: ({commit}, id) => {
        return new Promise((resolve, reject) => {
            UnavailabilitiesService.deleteUnavailability(id)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },
};


export default {
    state,
    actions,
    mutations,
    getters
}
