describe('Authentication Test', () => {
    it('Reset Backend Database', () => {
         cy.request(Cypress.env('SERVICEURL') + 'dashboard/v1/tests/clear');
        cy.visit('/')
    });
    it('Clear Local Storage & saved users', () => {
        cy.clearLocalStorage();
        cy.vuex().invoke('dispatch', 'clearUsers');
        cy.vuex().invoke('dispatch', 'clearAuthUser');
    });

    it('Authenticate User', () => {
        /*dispatch command to authenticate user*/
        cy.vuex().invoke("dispatch", "loginUser", {email: 'user@ocular.be', password: 'ocular123', clientID: 1, clientSecret: '123456'});
    });
});
