import OcuService from '../OcuService'

class ThemeService {
    getAllCustomers() {
        return OcuService.doApiCall('get', window.env.API + '/customers/all', 'get all customers');
    }

    createCustomer(customerData) {
        return OcuService.doApiCall('post', window.env.API + '/customers', 'create customer', customerData);
    }
}

export default new ThemeService()
