import OcuService from '../OcuService'

class LabelService {
    /*Labels*/
    getLabelTypes() {
        return OcuService.doApiCall('get', window.env.API + '/labels');

    }

    getLabels(labelTypeId) {
        return OcuService.doApiCall('get', window.env.API + '/labels/' + labelTypeId);
    }

    updateLabels(labelsId, labelData) {
        return OcuService.doApiCall('post', window.env.API + '/labels/' + labelsId, 'updateLabels', labelData);
    }

    exportLabels(labelsId){
        return OcuService.doApiCall('get', window.env.API + '/labels/'+labelsId+'/export', 'exportLabels');
    }
    importLabels(labelsId,labelData){
        return OcuService.doApiCall('post',window.env.API + '/labels/'+labelsId+'/import', 'import Labels', labelData)
    }

}

export default new LabelService()
