import EtimService from "../../services/OcuService/cebeo/etimService";
import {reject, resolve} from "promise-polyfill";

const state = {
    customers: []
};

const mutations = {};

const getters = {};

const actions = {
    getEtimCodes: ({commit}) => {
        return new Promise((resolve, reject) => {
            EtimService.getEtimCodes()
                .then(response => resolve(response))
                .catch(error => reject(error));
        });
    },

    getEtimFeatures: ({commit}) => {
        return new Promise((resolve, reject) => {
            EtimService.getEtimFeatures()
                .then(response => resolve(response))
                .catch(error => reject(error));
        });
    },

}

export default {
    state,
    actions,
    mutations,
    getters
};
