import CustomerService from "../../services/OcuService/modules/customerService";

const state = {
    customers: [],
    devicesInExhibit: [],
};

const mutations = {};

const getters = {};

const actions = {
    getAllCustomers: ({}) => {
        return new Promise((resolve, reject) => {
            CustomerService.getAllCustomers()
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    },

    createCustomer: ({}, customerData) => {
        return new Promise((resolve, reject) => {
            CustomerService.createCustomer(customerData)
                .then((response) => resolve(response))
                .catch((error) => reject(error));
        });
    }
};

export default {
    state, mutations, getters, actions
}
